{* 
	vorhandene Variablen:

	$retourenmaster_css - URL zur style.css des Plugins
	$msg - Meldung
	$msg_err - Fehlermeldung
	$is_guest - wird auf true gesetzt, wenn der Kunde als Gast angemeldet ist
	$Bestellungen - Array aus Bestellungen mit Bestellpositionen im Retourenzeitraum des (Gast)-Kunden
	$Aktions - mögliche Aktionen, die der Kunde auswählen kann. Wird in den Sprachvariablen des Plugins konfiguriert.
	$Rueckgabegrund - Rückgabegründe aus der JTL-WAWI.

*}
<link rel="stylesheet" href="{$retourenmaster_css}">
<div class="container retourenmaster-container retourenmaster-block-center">
{if $msg}
<div class="alert alert-success">{$msg}</div>
{/if}
{if $msg_err}
<div class="alert alert-alert">{$msg_err}</div>
{/if}
{if $is_guest}
	{if isset($smarty.post.with_login)}
		
		{if file_exists("$currentTemplateDirFullPath/account/login.tpl")}
			{include "$currentTemplateDirFullPath/account/login.tpl"}
		{else}
			{include "$parentTemplateDir/account/login.tpl"}
		{/if}
		<p><a class="btn btn-secondary" href="{$smarty.server.REQUEST_URI}">{lang key='login_abort' section='mb_retourenmaster'}</a></p>

	{else if isset($smarty.post.with_guest)}
		<div class="retourenmaster-help-text">{lang key='helptext_guest_login' section='mb_retourenmaster'}</div>
		<form class="" id="retourenmaster-login-form" action="{$smarty.server.REQUEST_URI}" method="post">
		{$jtl_token}
		<div class="form-group" role="group">
			<div class="d-flex retourenmaster-flex-column">
			<input class="form-control" type="text" name="ordernumber" placeholder="{lang key='orderNo' section='login'}" value="" />
			<input class="form-control" type="text" name="name" placeholder="{lang key='lastname_deliveryaddress' section='mb_retourenmaster'}" value="" />
			<input class="btn btn-primary retourenmaster-inline-block" type="submit" name="submit" value=" {lang key='next' section='productOverview'} " />
			</div>
			</div>
		</form>
		<div><a class="btn btn-secondary" href="{$smarty.server.REQUEST_URI}">{lang key='filterCancel' section='global'}</a></div>
	{else}
		<div class="retourenmaster-help-text">{lang key='helptext_start' section='mb_retourenmaster'}</div>
		<form id="retourenmaster-login-or-guest-form" action="{$smarty.server.REQUEST_URI}" method="post">
		<div class="retourenmaster-login-or-guest-form-container">
		<input class="btn btn-primary" type="submit" name="with_login" value=" {lang key='login_with_account' section='mb_retourenmaster'} " />
		<input class="btn btn-secondary" type="submit" name="with_guest" value=" {lang key='login_as_guest' section='mb_retourenmaster'} " />
		</div>
		</form>
	{/if}
	
{else}

	{if $Bestellungen}
	<div class="retourenmaster-title">{lang key='last_orders' section='mb_retourenmaster'}</div>
	<div class="retourenmaster-help-text">{lang key='helptext_login' section='mb_retourenmaster'}</div>
	 <div class="retourenmaster-wrapper">
	{foreach from=$Bestellungen key=k item=Bestellung}
		<div class="retourenmaster">
			<input type="radio" name="radio-a" id="check{$k}">
			<label class="retourenmaster-label" for="check{$k}">{$Bestellung->cBestellNr} {lang key='from' section='login'} {$Bestellung->dErstellt|date_format:"d.m.Y"}</label>
			<div class="retourenmaster-content">
				<form action="{$smarty.server.REQUEST_URI}" method="post" id="{$Bestellung->cBestellNr}">

				<input type="hidden" name="order" value="{$Bestellung->cBestellNr}">
				{$jtl_token}

				{foreach from=$Bestellung->cart key=i item=cartpos}
					<div class="row">
						<div class="col-6-sm retourenmaster-no-padding retourenmaster-block-center">
							<img src="{$cartpos->pic}" 
								alt="{$cartpos->cName}" 
								title="{$cartpos->cName}"
								class="" />
						</div>
						<div class="col-6-sm retourenmaster-inline-form">
							<span class="retourenmaster-pos-title"><a title="{$cartpos->cName}" href="{$cartpos->cSeo}" target="_blank">{$cartpos->cName}</a></span>

							<span class="retourenmaster-pos-subtitle">
							{lang key='send_back_article' section='mb_retourenmaster' printf=$cartpos->cArtNr}
							</span>

							{if $cartpos->nAnzahl > 1}
								<label for="switch-{$Bestellung->kBestellung}-{$i}">{lang key='rma_quantity' section='rma'}:</label>
								<input type="number" name="sku[{$cartpos->cArtNr|base64_encode}]" value="0" min="0" max="{$cartpos->nAnzahl}" id="switch-{$Bestellung->kBestellung}-{$i}">
							{else}
								<input type="checkbox" name="sku[{$cartpos->cArtNr|base64_encode}]" value="1" id="switch-{$Bestellung->kBestellung}-{$i}" /><label class="toggle" for="switch-{$Bestellung->kBestellung}-{$i}">Toggle</label>
							{/if}

							<label for="reason-{$Bestellung->kBestellung}-{$i}">{lang key='retoure_reason' section='mb_retourenmaster'}:</label>
							<select name="reason[{$cartpos->cArtNr|base64_encode}]" class="form-control retourenmaster-margin-bottom" id="reason-{$Bestellung->kBestellung}-{$i}">
								<option value="-1" selected disabled hidden>{lang key='please_select' section='mb_retourenmaster'} *</option>
							{foreach from=$Rueckgabegrund key=k item=text}
								<option value="{$k}">{$text[$lang]}</option>
							{/foreach}
							</select>

							<label for="action-{$Bestellung->kBestellung}-{$i}">{lang key='action_title' section='mb_retourenmaster'}:</label>
							<select name="action[{$cartpos->cArtNr|base64_encode}]" class="form-control retourenmaster-margin-bottom" id="action-{$Bestellung->kBestellung}-{$i}">
								<option value="-1" selected disabled hidden>{lang key='please_select' section='mb_retourenmaster'} *</option>
							{foreach from=$Aktions key=k item=Aktion}
								<option value="{$k}">{$Aktion}</option>
							{/foreach}
							</select>

						</div>
					</div>
				{/foreach}
				{if $Bestellung->have_label_file}
					{include file='dhl_buttons.tpl'}
				{else}
					<div class="row retourenmaster-order-submit">
						<div class="col-12-sm">
							<div class="d-flex justify-content-center">
								<span class="retourenmaster-helptext-retoure-register">{lang key='helptext_retoure_register' section='mb_retourenmaster'}</span>
							</div>
							<div class="d-flex justify-content-center">
								<button type="submit" name="submit" value="label" title="" class="submit btn btn-lg btn-block retourenmaster-submit-button">{lang key='retoure_register' section='mb_retourenmaster'}</button>
							</div>
						</div>
					</div>
				{/if}
				</form>
			</div>
		</div>
	{/foreach}
	</div>
	{else}
		{lang key='no_orders_found' section='mb_retourenmaster'}
	{/if}
{/if}
</div>